# class RefPointerBase | Internal helper class. More...
Full name | `TelEngine::RefPointerBase`
Definition | `#include <yateclass.h>`
Inherited by | RefPointer
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Protected Methods

- inline RefPointerBase ()
- void assign (RefObject* oldptr, RefObject* newptr, void* pointer)

#### Protected Members

- void* m_pointer

## Detailed Description

Internal helper class providing a non-inline method to RefPointer. Please don't use this class directly, use RefPointer instead.

inline RefPointerBase () | ### RefPointerBase

[protected]

Default constructor, initialize to null pointer

void assign (RefObject* oldptr, RefObject* newptr, void* pointer) | ### assign

[protected]

Set a new stored pointer

Parameters:

oldptr | Pointer to the RefObject of the old stored object
newptr | Pointer to the RefObject of the new stored object
pointer | A void pointer to the derived class

void* m_pointer | ### m_pointer

[protected]

Generated by: paulc on bussard on Fri May 8 12:37:22 2015, using kdoc 2.0a54.